Package com.trilead.ssh2.packets

# Class PacketUserauthFailure

java.lang.Object
com.trilead.ssh2.packets.PacketUserauthFailure

public class PacketUserauthFailure extends Object
PacketUserauthBanner.

## Constructor Summary

Constructors
Constructor
Description
`PacketUserauthFailure(byte[] payload, int off, int len)`
`PacketUserauthFailure(String[] authThatCanContinue, boolean partialSuccess)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getAuthThatCanContinue()`
`boolean`
`isPartialSuccess()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketUserauthFailure

public PacketUserauthFailure(String[] authThatCanContinue, boolean partialSuccess)

### PacketUserauthFailure

public PacketUserauthFailure(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getAuthThatCanContinue

public String[] getAuthThatCanContinue()

### isPartialSuccess

public boolean isPartialSuccess()